/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

.commentItem .avatar img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.commentItem .author-text {
    width: calc(100% - 5.5rem);
    margin-top: 1rem;
}

.commentItem .author-text .author {
    margin-bottom: 1.56rem;
}

.commentItem .author-text .author > * {
    display: block;
}

.commentItem .author-text .author .name {
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 700;
    margin-bottom: .5rem;
}

.commentItem .author-text .author .date {
    font-size: 0.625rem;
    font-weight: 700;
    color: var(--brown);
}
.comments-container{
    width: 100%;
    padding-block: 2.5rem;
    border-top: 1px solid var(--pale-blue);
    border-bottom: 1px solid var(--pale-blue);
}
.commnetsWrapper {
    width: calc((100% / 3 * 2) - 7rem);
}

.registerComment form#commentform p.form-submit button#comment-submit {
    cursor: pointer;
    font-family: 'AbarLowFaNum', sans-serif;
    font-size: .75rem;
    background-color: var(--blue);
    color: var(--white);
    border-radius: var(--radius);
    padding: 4px 10px;
}
html[dir="ltr"] .registerComment form#commentform p.form-submit button#comment-submit {
    font-family: var(--enFont);
}
.registerComment #reply-title {
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 700;
    margin-bottom: 1.25rem;
}
.registerComment .cta{
    padding: .25rem 3rem .25rem 4rem;
    -webkit-margin-start: 0;
    margin-inline-start: 0;
    width: 50%;
}
.registerComment .btn.blueBtn img {
    -webkit-transform: translateY(-50%) scaleX(1);
    -ms-transform: translateY(-50%) scaleX(1);
    transform: translateY(-50%) scaleX(1);
    width: 1.75rem;
    height: 1.75rem;
    -o-object-fit: contain;
    object-fit: contain;
}
html[dir="ltr"] .registerComment .btn.blueBtn img {
    -webkit-transform: translateY(-50%) scaleX(-1);
    -ms-transform: translateY(-50%) scaleX(-1);
    transform: translateY(-50%) scaleX(-1);
}
.registerComment .comment-textarea{
    position:relative;
}
.registerComment .comment-textarea textarea , .commentContainer .reply-form textarea {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.35);
    color: var(--textColor);
    font-size: 0.75rem;
    font-weight: 400;
    text-align: initial;
    border-radius: 1.09375rem;
    /*height: 2.0625rem;*/
    padding: .35em .87rem;
    -webkit-box-shadow: -0.5px -0.5px 0 1px #fff;
    box-shadow: -0.5px -0.5px 0 1px #fff;
    font-family: inherit;
    overflow-y: auto;
}
.commentContainer .reply-form {
    margin-top: 2rem;
    position: relative;
}
.registerComment .comment-textarea textarea::-webkit-input-placeholder{
    color: var(--pale-blue);
}
.registerComment .comment-textarea textarea::-moz-placeholder{
    color: var(--pale-blue);
}
.registerComment .comment-textarea textarea:-ms-input-placeholder{
    color: var(--pale-blue);
}
.registerComment .comment-textarea textarea::-ms-input-placeholder{
    color: var(--pale-blue);
}
.registerComment .comment-textarea textarea::placeholder{
    color: var(--pale-blue);
}

.registerComment .comment-textarea input[type="submit"], .commentContainer .reply-form button.reply-submit {
    position: absolute;
    bottom: 1.5rem;
    left: 0.5rem;
    width: 1rem;
    height: 1rem;
    padding: 0;
    background-image: url("../img/send-comment.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 1rem;
    background-color: transparent;
    cursor: pointer;
    -webkit-transition: all ease-in-out .35s;
    -o-transition: all ease-in-out .35s;
    transition: all ease-in-out .35s;
    opacity: 0;
    pointer-events: none;
}
.commentContainer .reply-form button.reply-submit{
    opacity:1;
    pointer-events: auto;
}
html[dir="ltr"] .registerComment .comment-textarea input[type="submit"] {
    left: auto;
    right: .5rem;
    bottom: 1rem;
    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
    transform: scaleX(-1);
}
.registerComment .typing input[type="submit"] {
    opacity: 1;
    pointer-events: auto;
}
.commentItem {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-column-gap: 1.31rem;
    -moz-column-gap: 1.31rem;
    column-gap: 1.31rem;
    padding: 1.81rem 0;
}

.commentItem .wpulike.wpulike-default {
    position: absolute;
    top: 0;
    left: 0;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    padding: 0;
}
.commentItem button.show-reply-form {
    position: absolute;
    left: 0;
    bottom: 0;
    display: inline-block;
    margin: 0 0 0.5rem;
    color: var(--white);
    /*padding: 0 .5rem .25rem;*/
    padding: .025rem 1.5rem;
    background-color: var(--blue);
    font-family: inherit;
    border-radius: 1rem;
    cursor: pointer;
    font-size: .625rem;
    -webkit-transition: all ease-in-out .3s;
    -o-transition: all ease-in-out .3s;
    transition: all ease-in-out .3s;
}
html[dir="ltr"] .commentItem button.show-reply-form {
    left: auto;
    right: 0;
}
.commentItem button.show-reply-form:hover {
    background-color: var(--brown);
}
.commentItem .text_item {
    margin-bottom: 1rem;
}
.commentItem:not(:last-child) {
    background: -o-linear-gradient(left, var(--brown) 50%, transparent 50%) repeat-x;
    background: -webkit-gradient(linear, left top, right top, color-stop(50%, var(--brown)), color-stop(50%, transparent)) repeat-x;
    background: linear-gradient(to right, var(--brown) 50%, transparent 50%) repeat-x;
    background-size: 1.5rem 2px;
    background-position: bottom;
}
.commentContainer{
    margin-bottom: 2.2rem;
}
.commentContainer ol.comment-list {
    padding: 0;
    margin: 0;
    list-style: none;
    border-bottom: 1px solid var(--brown);
    padding-bottom: 1rem;
    margin-bottom: 2rem;
}
#comment-notification {
    -webkit-margin-before: 1rem;
    margin-block-start: 1rem;
    font-size: .875rem;
}
.not-login p {
    font-size: .875rem;
    margin-bottom: .75rem;
}
.comments-container .stage .commentItem:nth-child(even) {
    padding-right: 2rem;
}
html[dir="ltr"] .comments-container .stage .commentItem:nth-child(even) {
    padding-right:0;
    padding-left: 2rem;
}
.comments-container .stage .stage .commentItem {
    padding-right: 2rem;
}
.comments-container .stage .stage .stage .commentItem {
    padding-right: 2rem;
}
html[dir="ltr"]  .comments-container .stage .stage .commentItem {
    padding-right: 0;
    padding-left: 2rem;
}
.comments-container .stage .stage .stage .commentItem {
    padding-right: 4rem;
}

html[dir="ltr"] .comments-container .stage .stage .stage .commentItem {
    padding-right: 0;
    padding-left: 4rem;
}
.comments-container .stage:not(:last-child) {
    border-bottom: 1px solid var(--brown);
}
.commentItem .avatar {
    width: 5.5rem;
    height: 5.5rem;
    border-radius: 50%;
    overflow: hidden;
}

@media only screen and (max-width: 768px) {
    .commentItem {-webkit-box-orient: vertical;-webkit-box-direction: normal;-ms-flex-direction: column;flex-direction: column;row-gap: .91rem;position: relative;padding: 1.56rem 0;}
    .commentItem .author-text .author {
        position: absolute;
        top: calc(.56rem + 1.31rem);
        right: calc(3.3125rem + 1.19rem);
        width: calc(100vw - (3.3125rem - 1.19rem - var(--spaceX) * -4));
    }
    .commentItem .avatar {
        width: 3.3125rem;
        height: 3.3125rem;
    }

    .commentItem .author-text {
        width: 100%;
    }
    .commentContainer .stage .commentItem:nth-child(even) {
        padding-right: 1.5rem;
    }
    html[dir="ltr"] .commentContainer .stage .commentItem:nth-child(even) {
        padding-right:0;
        padding-left: 1.5rem;
    }
    .commentItem .author-text .author {
        position: absolute;
        top: calc(.56rem + 1.31rem);
        right: calc(3.3125rem + 1.19rem);
        width: calc(100vw - (3.3125rem - 1.19rem - var(--spaceX)*-4));
    }
    html[dir="ltr"] .commentItem .author-text .author {
        right: auto;
        left: calc(3.3125rem + 1.19rem);
    }
    .commentItem:nth-child(even) .author-text {
        width: calc(100% - 5.5rem - 2rem);
    }

    html[dir="ltr"] .commentItem:nth-child(even) .author-text .author {
        right: auto;
        left: calc(3.3125rem + 1.19rem + 1.5rem);
    }

    .commentItem:nth-child(even) .author-text .author {
        width: calc(100vw - (3.3125rem - 1.19rem - 1.5rem - var(--spaceX)*-6));
        left: auto;
        right: calc(3.3125rem + 1.19rem + 1.5rem);
    }
    .commnetsWrapper {
        width: 100%;
    }
    .comments-container .stage .stage .commentItem:not(:last-child) {
        padding-right: 1.5rem;
    }
    html[dir="ltr"] .comments-container .stage .stage .commentItem:not(:last-child) {
        padding-right: 0;
        padding-left: 1.5rem
    }
    .comments-container .stage .stage .stage .commentItem {
        padding-right: 3rem;
    }

    html[dir="ltr"] .comments-container .stage .stage .stage .commentItem {
        padding-right: 0;
        padding-left: 3rem
    }

    .comments-container .stage .stage .commentItem:not(:last-child) .author-text .author {
        right: calc(3.3125rem + 2.5rem);
    }

    html[dir="ltr"] .comments-container .stage .stage .commentItem:not(:last-child) .author-text .author{
        left: calc(3.3125rem + 2.5rem);
        right: auto
    }

    .comments-container .stage .stage .stage .commentItem .author-text .author {
        right: calc(3.3125rem + 4.19rem);
    }
    html[dir="ltr"] .comments-container .stage .stage .stage .commentItem .author-text .author {
        left: calc(3.3125rem + 4.19rem);
        right: auto
    }
}
